# -*- coding: utf-8 -*-
# Generated by Django 1.11.10 on 2018-02-10 20:18
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion

def migrate_manager(apps, schema_editor):
    Event = apps.get_model("guichet", "Event")
    UserManager = apps.get_model("guichet", "UserManager")
    db_alias = schema_editor.connection.alias
    for event in Event.objects.using(db_alias).all():
        for manager in event.managers.all():
            UserManager(event=event, access=4, user=manager).save()

def reverse_manager(apps, schema_editor):
    Event = apps.get_model("guichet", "Event")
    UserManager = apps.get_model("guichet", "UserManager")
    db_alias = schema_editor.connection.alias
    for managers in UserManager.objects.using(db_alias).all():
        if managers.access in [3, 4]:
            event = managers.event
            event.managers.add(managers.user)
            event.save()

class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0018_user_is_anonyme'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('guichet', '0062_ticket_min_purchase_date'),
    ]

    operations = [
        migrations.CreateModel(
            name='GroupManager',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('access', models.IntegerField(choices=[(1, 'Acc\xe8s en lecture'), (2, 'Acc\xe8s en lecture et gestion des entr\xe9es'), (3, 'Droit de gestion complet sauf permission'), (4, 'Droit de gestion complet')], default=1, verbose_name='Droit de gestion')),
                ('bureau_only', models.BooleanField(default=False, verbose_name='Uniquement le bureau')),
                ('event', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='guichet.Event')),
                ('group', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='accounts.Group', verbose_name='Groupe')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='UserManager',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('access', models.IntegerField(choices=[(1, 'Acc\xe8s en lecture'), (2, 'Acc\xe8s en lecture et gestion des entr\xe9es'), (3, 'Droit de gestion complet sauf permission'), (4, 'Droit de gestion complet')], default=1, verbose_name='Droit de gestion')),
                ('event', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='guichet.Event')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
#        migrations.RunPython(migrate_manager, reverse_manager),
        migrations.RemoveField(
            model_name='event',
            name='managers',
        ),
    ]
